server:
  port: 9999

spring:
  application:
    name: store-book-service
  cloud:
    stream:
      function:
        bindings:
          storeProcessing-in-0: input
      kafka:
        binder:
          brokers: localhost:9092
          auto-add-partitions: true
      bindings:
        input:
          destination: check-topic
          group: books
          binder: kafka
  data:
    mongodb:
      host: localhost
      port: 27017
      database: books
